
ifeq ($(CONFIG_LINUX_2_6_ATHEROS),y)
  define Target
    KERNEL:=2.6
    BOARD:=atheros
    BOARDNAME:=Atheros [2.6]
    LINUX_VERSION:=2.6.19.2
    LINUX_RELEASE:=1
    LINUX_KARCH:=mips
    DEFAULT_PACKAGES:=base-files libgcc uclibc bridge busybox dnsmasq dropbear iptables mtd ppp ppp-mod-pppoe mtd kmod-ipt-nathelper udevtrigger hotplug2 kmod-madwifi
  endef
  define Profile/2_6_ATHEROS_Default
    ID:=Default
    NAME:=Default
    PACKAGES:=
  endef
endif
$(eval $(call AddProfile,2_6_ATHEROS_Default))


ifeq ($(CONFIG_LINUX_2_6_AU1000),y)
  define Target
    KERNEL:=2.6
    BOARD:=au1000
    BOARDNAME:=AMD Alchemy AU1x00 [2.6]
    LINUX_VERSION:=2.6.19.2
    LINUX_RELEASE:=1
    LINUX_KARCH:=mips
    DEFAULT_PACKAGES:=base-files libgcc uclibc bridge busybox dnsmasq dropbear iptables mtd ppp ppp-mod-pppoe mtd kmod-ipt-nathelper udevtrigger hotplug2 yamonenv
  endef
  define Profile/2_6_AU1000_Atheros
    ID:=Atheros
    NAME:=Atheros WiFi (default)
    PACKAGES:=kmod-madwifi
  endef
  define Profile/2_6_AU1000_Broadcom
    ID:=Broadcom
    NAME:=Broadcom BCM43xx WiFi
    PACKAGES:=kmod-net-bcm43xx
  endef
  define Profile/2_6_AU1000_Intel
    ID:=Intel
    NAME:=Intel IPW2200 WiFi
    PACKAGES:=kmod-net-ipw2200
  endef
endif
$(eval $(call AddProfile,2_6_AU1000_Atheros))
$(eval $(call AddProfile,2_6_AU1000_Broadcom))
$(eval $(call AddProfile,2_6_AU1000_Intel))


ifeq ($(CONFIG_LINUX_2_4_BRCM),y)
  define Target
    KERNEL:=2.4
    BOARD:=brcm
    BOARDNAME:=Broadcom BCM947xx/953xx [2.4]
    LINUX_VERSION:=2.4.34
    LINUX_RELEASE:=1
    LINUX_KARCH:=mips
    DEFAULT_PACKAGES:=base-files libgcc uclibc bridge busybox dnsmasq dropbear iptables mtd ppp ppp-mod-pppoe mtd kmod-ipt-nathelper kmod-switch kmod-diag nvram
  endef
  define Profile/2_4_BRCM_Broadcom
    ID:=Broadcom
    NAME:=Generic, Broadcom WiFi (default)
    PACKAGES:=kmod-brcm-wl wlc nas kmod-wlcompat
  endef
  define Profile/2_4_BRCM_BroadcomMimo
    ID:=BroadcomMimo
    NAME:=Generic, Broadcom WiFi (MIMO)
    PACKAGES:=kmod-brcm-wl-mimo wlc nas kmod-wlcompat
  endef
  define Profile/2_4_BRCM_Atheros
    ID:=Atheros
    NAME:=Generic, Atheros WiFi
    PACKAGES:=kmod-madwifi
  endef
  define Profile/2_4_BRCM_None
    ID:=None
    NAME:=Generic, No WiFi
    PACKAGES:=
  endef
  define Profile/2_4_BRCM_WL500G
    ID:=WL500G
    NAME:=ASUS WL-500g
    PACKAGES:=kmod-brcm-wl kmod-usb-core kmod-usb-ohci kmod-lp wlc nas kmod-wlcompat
  endef
  define Profile/2_4_BRCM_WL500GD
    ID:=WL500GD
    NAME:=ASUS WL-500g Deluxe
    PACKAGES:=kmod-brcm-wl kmod-usb-core kmod-usb-uhci kmod-usb2 wlc nas kmod-wlcompat
  endef
  define Profile/2_4_BRCM_WL500GP
    ID:=WL500GP
    NAME:=ASUS WL-500g Premium
    PACKAGES:=kmod-brcm-wl kmod-usb-core kmod-usb-uhci kmod-usb2 wlc nas kmod-wlcompat
  endef
  define Profile/2_4_BRCM_WL700GE
    ID:=WL700GE
    NAME:=WL-700gE
    PACKAGES:=-ppp -ppp-mod-pppoe -kmod-ipt-nathelper -iptables -dnsmasq -bridge kmod-ide-core kmod-ide-aec62xx kmod-fs-ext3 fdisk e2fsprogs
  endef
  define Profile/2_4_BRCM_WLHDD
    ID:=WLHDD
    NAME:=WL-HDD
    PACKAGES:=kmod-brcm-wl kmod-usb-core kmod-usb-ohci kmod-ide-core kmod-ide-pdc202xx wlc nas kmod-wlcompat
  endef
  define Profile/2_4_BRCM_WRT54G3G
    ID:=WRT54G3G
    NAME:=Linksys WRT54G3G
    PACKAGES:=kmod-brcm-wl kmod-usb-core kmod-usb-ohci kmod-usb2 kmod-pcmcia-core kmod-pcmcia-serial kmod-nozomi comgt wlc nas kmod-wlcompat
  endef
endif
$(eval $(call AddProfile,2_4_BRCM_Broadcom))
$(eval $(call AddProfile,2_4_BRCM_BroadcomMimo))
$(eval $(call AddProfile,2_4_BRCM_Atheros))
$(eval $(call AddProfile,2_4_BRCM_None))
$(eval $(call AddProfile,2_4_BRCM_WL500G))
$(eval $(call AddProfile,2_4_BRCM_WL500GD))
$(eval $(call AddProfile,2_4_BRCM_WL500GP))
$(eval $(call AddProfile,2_4_BRCM_WL700GE))
$(eval $(call AddProfile,2_4_BRCM_WLHDD))
$(eval $(call AddProfile,2_4_BRCM_WRT54G3G))


ifeq ($(CONFIG_LINUX_2_6_BRCM47XX),y)
  define Target
    KERNEL:=2.6
    BOARD:=brcm47xx
    BOARDNAME:=Broadcom BCM947xx/953xx [2.6]
    LINUX_VERSION:=2.6.19.2
    LINUX_RELEASE:=1
    LINUX_KARCH:=mips
    DEFAULT_PACKAGES:=base-files libgcc uclibc bridge busybox dnsmasq dropbear iptables mtd ppp ppp-mod-pppoe mtd kmod-ipt-nathelper udevtrigger hotplug2 kmod-switch kmod-diag
  endef
  define Profile/2_6_BRCM47XX_Atheros
    ID:=Atheros
    NAME:=Atheros WiFi (default)
    PACKAGES:=kmod-madwifi
  endef
  define Profile/2_6_BRCM47XX_None
    ID:=None
    NAME:=No WiFi
    PACKAGES:=
  endef
  define Profile/2_6_BRCM47XX_WGT634U
    ID:=WGT634U
    NAME:=Netgear WGT634U
    PACKAGES:=kmod-madwifi kmod-usb-core kmod-usb-ohci kmod-usb2
  endef
endif
$(eval $(call AddProfile,2_6_BRCM47XX_Atheros))
$(eval $(call AddProfile,2_6_BRCM47XX_None))
$(eval $(call AddProfile,2_6_BRCM47XX_WGT634U))


ifeq ($(CONFIG_LINUX_2_6_IXP4XX),y)
  define Target
    KERNEL:=2.6
    BOARD:=ixp4xx
    BOARDNAME:=Intel XScale IXP4xx [2.6]
    LINUX_VERSION:=2.6.19.2
    LINUX_RELEASE:=1
    LINUX_KARCH:=arm
    DEFAULT_PACKAGES:=base-files libgcc uclibc bridge busybox dnsmasq dropbear iptables mtd ppp ppp-mod-pppoe mtd kmod-ipt-nathelper udevtrigger hotplug2
  endef
  define Profile/2_6_IXP4XX_Default
    ID:=Default
    NAME:=Default
    PACKAGES:=
  endef
endif
$(eval $(call AddProfile,2_6_IXP4XX_Default))


ifeq ($(CONFIG_LINUX_2_6_MAGICBOX),y)
  define Target
    KERNEL:=2.6
    BOARD:=magicbox
    BOARDNAME:=Magicbox [2.6]
    LINUX_VERSION:=2.6.19.2
    LINUX_RELEASE:=1
    LINUX_KARCH:=ppc
    DEFAULT_PACKAGES:=base-files libgcc uclibc bridge busybox dnsmasq dropbear iptables mtd ppp ppp-mod-pppoe mtd kmod-ipt-nathelper udevtrigger hotplug2
  endef
  define Profile/2_6_MAGICBOX_Default
    ID:=Default
    NAME:=Default
    PACKAGES:=
  endef
endif
$(eval $(call AddProfile,2_6_MAGICBOX_Default))


ifeq ($(CONFIG_LINUX_2_6_RB532),y)
  define Target
    KERNEL:=2.6
    BOARD:=rb532
    BOARDNAME:=Mikrotik RouterBoard 532 [2.6]
    LINUX_VERSION:=2.6.19.2
    LINUX_RELEASE:=1
    LINUX_KARCH:=mips
    DEFAULT_PACKAGES:=base-files libgcc uclibc bridge busybox dnsmasq dropbear iptables mtd ppp ppp-mod-pppoe mtd kmod-ipt-nathelper udevtrigger hotplug2
  endef
  define Profile/2_6_RB532_Default
    ID:=Default
    NAME:=Default
    PACKAGES:=
  endef
endif
$(eval $(call AddProfile,2_6_RB532_Default))


ifeq ($(CONFIG_LINUX_2_6_X86),y)
  define Target
    KERNEL:=2.6
    BOARD:=x86
    BOARDNAME:=x86 [2.6]
    LINUX_VERSION:=2.6.19.2
    LINUX_RELEASE:=1
    LINUX_KARCH:=i386
    DEFAULT_PACKAGES:=base-files libgcc uclibc bridge busybox dnsmasq dropbear iptables mtd ppp ppp-mod-pppoe mtd kmod-ipt-nathelper udevtrigger hotplug2 kmod-natsemi kmod-ne2k-pci
  endef
  define Profile/2_6_X86_Soekris
    ID:=Soekris
    NAME:=Soekris Net4801
    PACKAGES:=kmod-i2c-scx200 kmod-natsemi kmod-leds-net48xx kmod-scx200-gpio kmod-scx200-wdt kmod-hwmon-pc87360
  endef
endif
$(eval $(call AddProfile,2_6_X86_Soekris))

$(eval $(call Target))
